//
//  Copyright © 2016 Outplay Entertainment Ltd. All rights reserved.
//

// ---- Uniforms ----

uniform sampler2D texture;

uniform lowp float isTextureEnabled;

// ---- Variables ----

varying lowp vec4 colourOut;

varying lowp vec2 texCoordOut;

varying lowp float textureEnabledOut;

// ---- Functions ----

void main()
{
    if (isTextureEnabled > 0.5)
    {
        gl_FragColor = colourOut * texture2D(texture, texCoordOut);
    }
    else
    {
        gl_FragColor = colourOut;
    }
}
